Package org.apache.tomcat.jdbc.pool

## Class PoolProperties.InterceptorDefinition

- java.lang.Object
- - org.apache.tomcat.jdbc.pool.PoolProperties.InterceptorDefinition

- All Implemented Interfaces:
    `java.io.Serializable`
  Enclosing class:
    PoolProperties

      public static class PoolProperties.InterceptorDefinition
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.lang.String` | `className` |
    `protected java.lang.Class<?>` | `clazz` |
    `protected java.util.Map<java.lang.String,​PoolProperties.InterceptorProperty>` | `properties` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InterceptorDefinition​(java.lang.Class<?> cl)` |
    `InterceptorDefinition​(java.lang.String className)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addProperty​(java.lang.String name, java.lang.String value)` |
    `void` | `addProperty​(PoolProperties.InterceptorProperty p)` |
    `java.lang.String` | `getClassName()` |
    `java.lang.Class<? extends JdbcInterceptor>` | `getInterceptorClass()` |
    `java.util.Map<java.lang.String,​PoolProperties.InterceptorProperty>` | `getProperties()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### className

          protected java.lang.String className

    - #### properties

          protected java.util.Map<java.lang.String,​PoolProperties.InterceptorProperty> properties

    - #### clazz

          protected volatile java.lang.Class<?> clazz

  - ### Constructor Detail

    - #### InterceptorDefinition

          public InterceptorDefinition​(java.lang.String className)

    - #### InterceptorDefinition

          public InterceptorDefinition​(java.lang.Class<?> cl)

  - ### Method Detail

    - #### getClassName

          public java.lang.String getClassName()

    - #### addProperty

          public void addProperty​(java.lang.String name,
                                  java.lang.String value)

    - #### addProperty

          public void addProperty​(PoolProperties.InterceptorProperty p)

    - #### getProperties

          public java.util.Map<java.lang.String,​PoolProperties.InterceptorProperty> getProperties()

    - #### getInterceptorClass

          public java.lang.Class<? extends JdbcInterceptor> getInterceptorClass()
                                                                         throws java.lang.ClassNotFoundException

      Throws:
        `java.lang.ClassNotFoundException`